./security/ruby-ruby-openid, Library for consuming and serving OpenID identities

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 2.9.2, Package name: ruby24-ruby-openid-2.9.2, Maintainer: pkgsrc-users

A Ruby library for verifying and serving OpenID identities. Features:

* Easy to use API for verifying OpenID identites - OpenID::Consumer
* Support for serving OpenID identites - OpenID::Server
* Does not depend on underlying web framework
* Supports multiple storage mechanisms (Filesystem, ActiveRecord, Memory)
* Example code to help you get started, including:
* Ruby on Rails based consumer and server
* OpenIDLoginGenerator for quickly getting creating a rails app that uses
OpenID for authentication
* ActiveRecordOpenIDStore plugin
* Comprehensive test suite
* Supports both OpenID 1 and OpenID 2 transparently


Required to run:
[lang/ruby24-base]

Required to build:
[pkgtools/cwrappers]

Master sites:

SHA1: 75b8e678b7da783363c7c99f0a1a8dcc67841687
RMD160: 47ce2d2d0bcbb842300ecd891c4cb58d0365f3f9
Filesize: 324 KB

Version history: (Expand)


CVS history: (Expand)


   2019-11-18 16:44:37 by Takahiro Kambe | Files touched by this commit (3) | Package updated
Log message:
security/ruby-ruby-openid: update to 2.9.2

Update ruby-ruby-openid package to version 2.9.2.

## 2.9.2

* Perform all checks before verifying endpoints.
  [#126](https://github.com/openid/ruby-openid/pull/126)

## 2.9.1

* Updated CHANGELOG.md

## 2.9.0

* Remove deprecated `autorequire` from gemspec.
  [#123](https://github.com/openid/ruby-openid/pull/123)
* Rescue from `Yadis::XRI::XRIHTTPError` on discovery.
  [#106](https://github.com/openid/ruby-openid/pull/106)
* Avoid SSRF for claimed_id request.
  [#121](https://github.com/openid/ruby-openid/pull/121)
* Updated documentation.
  [#115](https://github.com/openid/ruby-openid/pull/115), \ 
[#116](https://github.com/openid/ruby-openid/pull/116), \ 
[#117](https://github.com/openid/ruby-openid/pull/117), \ 
[#118](https://github.com/openid/ruby-openid/pull/118)
* Reduce warnings output in test runs.
  [#119](https://github.com/openid/ruby-openid/pull/119)
* Drop deprecated option from gemspec.
  [#120](https://github.com/openid/ruby-openid/pull/120)
* Remove circular require.
  [#113](https://github.com/openid/ruby-openid/pull/113)
* Updated Travis CI config with Ruby 2.6
  [#114](https://github.com/openid/ruby-openid/pull/114)
* Simplify Bundler require; remove need for extra `:require`.
  [#112](https://github.com/openid/ruby-openid/pull/112)

## 2.8.0

* Fix `admin/mkassoc` script.
  See https://github.com/openid/ruby-openid/pull/103
* Allow specifying timeout for `OpenID::StandardFetcher` in environment variables.
  See https://github.com/openid/ruby-openid/pull/109
* Fixed some documentation.
  See https://github.com/openid/ruby-openid/pull/111
* Fixed example server.
  See https://github.com/openid/ruby-openid/pull/91
* Fixed tests.
  See https://github.com/openid/ruby-openid/pull/86
* Misc. changes to the CI setup.
  See
  - https://github.com/openid/ruby-openid/pull/110
  - https://github.com/openid/ruby-openid/pull/108
  - https://github.com/openid/ruby-openid/pull/107
   2017-09-16 21:27:31 by Thomas Klausner | Files touched by this commit (372)
Log message:
Reset maintainer
   2015-11-04 02:18:12 by Alistair G. Crooks | Files touched by this commit (434)
Log message:
Add SHA512 digests for distfiles for security category

Problems found locating distfiles:
	Package f-prot-antivirus6-fs-bin: missing distfile fp-NetBSD.x86.32-fs-6.2.3.tar.gz
	Package f-prot-antivirus6-ws-bin: missing distfile fp-NetBSD.x86.32-ws-6.2.3.tar.gz
	Package libidea: missing distfile libidea-0.8.2b.tar.gz
	Package openssh: missing distfile openssh-7.1p1-hpn-20150822.diff.bz2
	Package uvscan: missing distfile vlp4510e.tar.Z

Otherwise, existing SHA1 digests verified and found to be the same on
the machine holding the existing distfiles (morden).  All existing
SHA1 digests retained for now as an audit trail.
   2015-03-13 16:30:58 by Takahiro Kambe | Files touched by this commit (3) | Package updated
Log message:
Update ruby-ruby-openid to 2.7.0.

Sort PLIST.

## 2.7.0

* Use RFC 2396 compatible URI parser for trustroot - \ 
7c84ec9ced3ccbdad575e02dbfa81e53b52f909e
  See https://github.com/openid/ruby-openid/pull/85
* Use HMAC from OpenSSL rather than Digest - ce2e30d7ff3308f17ef7d8c19d6f4752f76c9c40
  See https://github.com/openid/ruby-openid/pull/84
* Check if OpenSSL is loaded - 751e55820d958ee781f5abb466a576d83ddde6fd

## 2.6.0

* More safely build filenames - 1c4a90630b183e7572b8ab5f2e3a3e0c0fecd2c7
  See https://github.com/openid/ruby-openid/pull/80
* The session serializer of Rails4.1 is json - \ 
b44a1eb511dec3be25a07930121bc80cacec0f1c
* Handle boolean value to fix signature issue - \ 
d65076269b77754da7db6e4b189edeeb9201600d
  See https://github.com/openid/ruby-openid/pull/76
   2014-07-16 09:56:29 by Blue Rats | Files touched by this commit (22)
Log message:
Removing .ri entries from PLIST. NFI why this works with/without the
entries on my machine. Seems no other ruby package has them. Bump
PKGREVISION.
   2014-07-04 14:36:34 by Blue Rats | Files touched by this commit (4)
Log message:
Import ruby200-ruby-openid-2.5.0 as security/ruby-ruby-openid.

A Ruby library for verifying and serving OpenID identities. Features:

 * Easy to use API for verifying OpenID identites - OpenID::Consumer
 * Support for serving OpenID identites - OpenID::Server
 * Does not depend on underlying web framework
 * Supports multiple storage mechanisms (Filesystem, ActiveRecord, Memory)
 * Example code to help you get started, including:
   * Ruby on Rails based consumer and server
   * OpenIDLoginGenerator for quickly getting creating a rails app that uses
     OpenID for authentication
   * ActiveRecordOpenIDStore plugin
 * Comprehensive test suite
 * Supports both OpenID 1 and OpenID 2 transparently